Skip to main content

Tag Policy

View as Markdown

TagPolicy object

tag_keystring

Example: sensitivity_level

Constraints: [ 1 .. 256 ] characters

idstring
descriptionstring

Example: Identifies the sensitivity level of the data for compliance purposes.

Constraints: <= 4096 characters

valuesarray of object

Constraints: <= 500 items

Show child attributesHide child attributes
namestring

Constraints: [ 1 .. 256 ] characters

create_timestring

Timestamp when the tag policy was created

update_timestring

Timestamp when the tag policy was last updated

Get GA

GET /api/2.1/tag-policies/{tag_key}

Gets a single tag policy by its associated governed tag's key. For Terraform usage, see the Tag Policy Terraform documentation. To list granted permissions for tag policies, use the Account Access Control Proxy API.

API scopes: tags

Parameters

tag_keystringpath

Response

Returns the TagPolicy object.

List GA

GET /api/2.1/tag-policies

Lists the tag policies for all governed tags in the account. For Terraform usage, see the Tag Policy Terraform documentation. To list granted permissions for tag policies, use the Account Access Control Proxy API.

API scopes: tags

Parameters

page_sizeint32query

The maximum number of results to return in this request. Fewer results may be returned than requested. If unspecified or set to 0, this defaults to 1000. The maximum value is 1000; values above 1000 will be coerced down to 1000.

page_tokenstringquery

An optional page token received from a previous list tag policies call.

Response

Returns a list of TagPolicy objects.

Create GA

POST /api/2.1/tag-policies

Creates a new tag policy, making the associated tag key governed. For Terraform usage, see the Tag Policy Terraform documentation. To manage permissions for tag policies, use the Account Access Control Proxy API.

API scopes: tags

Request body

tag_policyobject
Show child attributesHide child attributes
tag_keystring

Example: sensitivity_level

Constraints: [ 1 .. 256 ] characters

idstring
descriptionstring

Example: Identifies the sensitivity level of the data for compliance purposes.

Constraints: <= 4096 characters

valuesarray of object

Constraints: <= 500 items

Show child attributesHide child attributes
namestring

Constraints: [ 1 .. 256 ] characters

create_timestring

Timestamp when the tag policy was created

update_timestring

Timestamp when the tag policy was last updated

Response

Returns the TagPolicy object.

Update GA

PATCH /api/2.1/tag-policies/{tag_policy.tag_key}

Updates an existing tag policy for a single governed tag. For Terraform usage, see the Tag Policy Terraform documentation. To manage permissions for tag policies, use the Account Access Control Proxy API.

API scopes: tags

Parameters

tag_policyobjectpath
Show child attributesHide child attributes
tag_keystring

Example: sensitivity_level

Constraints: [ 1 .. 256 ] characters

idstring
descriptionstring

Example: Identifies the sensitivity level of the data for compliance purposes.

Constraints: <= 4096 characters

valuesarray of object

Constraints: <= 500 items

Show child attributesHide child attributes
namestring

Constraints: [ 1 .. 256 ] characters

create_timestring

Timestamp when the tag policy was created

update_timestring

Timestamp when the tag policy was last updated

update_maskstringquery

Response

Returns the TagPolicy object.

Delete GA

DELETE /api/2.1/tag-policies/{tag_key}

Deletes a tag policy by its associated governed tag's key, leaving that tag key ungoverned. For Terraform usage, see the Tag Policy Terraform documentation.

API scopes: tags

Parameters

tag_keystringpath